aboutsummaryrefslogtreecommitdiffstats
path: root/tools/check/check_openssl_devel
diff options
context:
space:
mode:
Diffstat (limited to 'tools/check/check_openssl_devel')
-rwxr-xr-xtools/check/check_openssl_devel11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/check/check_openssl_devel b/tools/check/check_openssl_devel
new file mode 100755
index 0000000000..fe9d0106d7
--- /dev/null
+++ b/tools/check/check_openssl_devel
@@ -0,0 +1,11 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+ echo
+ echo " *** Check for openssl headers FAILED"
+ exit 1
+}
+
+set -e
+[ -e /usr/include/openssl/md5.h ] || error